#
# Conditional build:
%bcond_without	python	# don't build python binding

Summary:	Data synchronization framework
Summary(pl.UTF-8):	Szkielet do synchronizacji danych
Name:		libopensync
Version:	0.39
Release:	10
Epoch:		1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.opensync.org/download/releases/0.39/%{name}-%{version}.tar.bz2
# Source0-md5:	733211e82b61e2aa575d149dda17d475
Patch0:		python-syntax.patch
Patch1:		python-noarch-plugins.patch
Patch2:		%{name}-glib.patch
Patch3:		%{name}-python.patch
URL:		http://www.opensync.org/
BuildRequires:	check
BuildRequires:	cmake >= 2.8.2-2
BuildRequires:	glib2-devel >= 1:2.12
BuildRequires:	libxml2-devel >= 1:2.6
BuildRequires:	libxslt-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	sqlite3-devel >= 3.3
%if %{with python}
BuildRequires:	python-devel >= 2
BuildRequires:	python-modules >= 2
BuildRequires:	rpm-pythonprov
BuildRequires:	swig-python
%endif
Requires:	glib2 >= 1:2.12
# no such opensync plugins (yet?)
Obsoletes:	multisync-ldap
Obsoletes:	multisync-opie
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenSync is a synchronization framework that is platform and
distribution independent.

It consists of several plugins that can be used to connect to devices,
a powerful sync-engine and the framework itself.

The synchronization framework is kept very flexible and is capable of
synchronizing any type of data, including contacts, calendar, tasks,
notes and files.

%description -l pl.UTF-8
OpenSync to niezależny od platformy i dystrybucji szkielet do
synchronizacji danych.

Składa się z kilku wtyczek, których można używać do łączenia się z
urządzeniami, potężnego silnika synchronizującego i samego szkieletu.

Szkielet do synchronizacji jest utrzymywany jako bardzo elastyczny i
potrafiący synchronizować dowolny rodzaj danych, włącznie z
kontaktami, kalendarzem, zadaniami, notatkami i plikami.

%package devel
Summary:	Header files for opensync library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki opensync
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	glib2-devel >= 1:2.12
Obsoletes:	libopensync-static
Obsoletes:	multisync-devel
Conflicts:	libopensync02-devel

%description devel
Header files for opensync library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki opensync.

%package -n python-opensync
Summary:	Python bindings for opensync library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki opensync
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
%pyrequires_eq  python-libs

%description -n python-opensync
Python bindings for opensync library.

%description -n python-opensync -l pl.UTF-8
Wiązania Pythona do biblioteki opensync.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# broken, use fixed from cmake itself
%{__rm} cmake/modules/*Python*.cmake

%build
mkdir build
cd build
%cmake .. \
	-DPYTHON_VERSION=%{py_ver}

%{__make}

%py_lint

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

install -d $RPM_BUILD_ROOT%{_datadir}/libopensync1/defaults
install -d $RPM_BUILD_ROOT%{_libdir}/libopensync1/plugins
install -d $RPM_BUILD_ROOT%{_libdir}/libopensync1/formats

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/osyncbinary
%attr(755,root,root) %{_bindir}/osyncdump
%attr(755,root,root) %{_bindir}/osyncplugin
%attr(755,root,root) %{_libdir}/libopensync.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopensync.so.1
%dir %{_libdir}/libopensync1
%dir %{_libdir}/libopensync1/plugins
%dir %{_libdir}/libopensync1/formats
%attr(755,root,root) %{_libdir}/libopensync1/osplugin
%dir %{_datadir}/libopensync1
%{_datadir}/libopensync1/capabilities
%{_datadir}/libopensync1/defaults
%{_datadir}/libopensync1/descriptions
%{_datadir}/libopensync1/schemas

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopensync.so
%{_includedir}/libopensync1
%{_pkgconfigdir}/libopensync.pc
%dir %{_datadir}/libopensync1/cmake
%dir %{_datadir}/libopensync1/cmake/modules
%{_datadir}/libopensync1/cmake/modules/OpenSync*.cmake

%if %{with python}
%files -n python-opensync
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_opensync.so
%{py_sitedir}/opensync.py[co]
%endif
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libopensync.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7d992a6
- release 10 (by relup.sh)

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 7563296
- x32 rebuild
- release 9 (by relup.sh)

* Sat Jan 31 2015 Jakub Bogusz <qboosh@pld-linux.org> 70b218e
- added glib patch (fix for build with recent glib)
- added python patch (workaround for set being builtin in python 2.4+)
- cleanups, updated BRs
- python-plugins dir belongs to libopensync-plugin-python
- release 8

* Wed Feb 23 2011 Elan Ruusamäe <glen@pld-linux.org> 8377529
- apply patch

* Wed Feb 23 2011 Elan Ruusamäe <glen@pld-linux.org> 0c8b128
- load python plugins from noarch location
- update cmake macros

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> 92a3edc
- fix python package
- package libopensync1/formats dir
- rel 4

* Sat Jul 17 2010 Elan Ruusamäe <glen@pld-linux.org> fd06fd9
- cmake >= 2.8.2-2 for python 2.7 support

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bcfeab4
- release 2

* Wed Jan 20 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 81268e7
- up to 0.39

* Fri Dec 04 2009 sparky <sparky@pld-linux.org> 8900a12
- BR: rpm-pythonprov put in correct place

* Fri Dec 04 2009 sparky <sparky@pld-linux.org> c11cc99
- BR: rpm-pythonprov

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 3bf7118
- drop obsolete files

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> ac2c786
- release 7

* Sat Nov 15 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 69b39ab
- rel 6; fix python module build

* Sat Nov 15 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ee41066
- release 5

* Mon Nov 03 2008 Szymon Siwek <sls@pld-linux.org> 13bf42c
- rel. 1

* Thu Oct 23 2008 Szymon Siwek <sls@pld-linux.org> 9861d23
- added python_wrapper_update.patch
- defaults directory is back

* Thu Oct 23 2008 Szymon Siwek <sls@pld-linux.org> 31d9080
- update symbol names for python wrapper

* Tue Oct 21 2008 Szymon Siwek <sls@pld-linux.org> 56572a8
- osplugin is not a dir
- fixes for opensync-1.0 -> libopensync1

* Tue Oct 21 2008 Szymon Siwek <sls@pld-linux.org> 67357e8
- more BR

